<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Belajar Ng1</title>
</head>
<body>

<div ng-include="'views/headerapps.html'"></div>

<!--menggunakan directive ng show dan ng hide-->
<div class="content">

  <!--ng repeat dengan currency dan juga fraction nya dihilangkan dengan direc-->
  <input type="text" ng-model="search.name" placeholder="kata pencarian">
  <input type="text" ng-model="search.rate" placeholder="nilai rating pencarian">

  <div>
    <h3>ng hide directive</h3>
    <ul>
      <li ng-repeat="itemtekno in homebelajar2.teknologiwebObj | orderBy: 'name' | filter: search"
          ng-hide="itemtekno.available">
        <p>{{itemtekno.name}} - {{itemtekno.rate}}</p>
      </li>
    </ul>

    <h3>ng show directive</h3>
    <ul>
      <li ng-repeat="itemtekno in homebelajar2.teknologiwebObj | orderBy: 'name' | filter: search"
          ng-show="itemtekno.available">
        <p>{{itemtekno.name}} - {{itemtekno.rate}}</p>
      </li>
    </ul>
  </div>

</div>
</body>
</html>
